> ## Documentation Index
> Fetch the complete documentation index at: https://developer.portable.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workflow

> Get a workflow by ID



## OpenAPI

````yaml /api-spec-v2.yaml get /v2/workflows/{id}
openapi: 3.1.0
info:
  title: The Portable API
  description: This API allows you to interact with the Portable platform.
  version: 0.0.1
servers:
  - url: https://api.portable.io
security:
  - bearerAuth: []
paths:
  /v2/workflows/{id}:
    parameters:
      - $ref: '#/components/parameters/id'
    get:
      tags:
        - Workflows
      summary: Get workflow
      description: Get a workflow by ID
      operationId: getWorkflow
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    $ref: '#/components/schemas/Workflow'
              example:
                data:
                  id: 123
                  name: My Workflow
                  description: A sample workflow
                  enabled: true
                  definition: {}
                  frequency: 24h
                  cron: ''
                  node_schemas: null
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  parameters:
    id:
      name: id
      in: path
      description: ID
      required: true
      schema:
        $ref: '#/components/schemas/id'
      example:
        - value: 568971
  schemas:
    Workflow:
      type: object
      required:
        - id
        - name
        - enabled
      properties:
        id:
          type: integer
        name:
          type: string
        description:
          type: string
        definition:
          type: object
        enabled:
          type: boolean
        frequency:
          type: string
        cron:
          type: string
        node_schemas:
          type: object
          description: >-
            Read-only field containing the schema of the workflow nodes. This
            field is populated asynchronously and may be null for newly created
            workflows.
    id:
      type: integer
      format: int
      examples:
        - 568971
  responses:
    UnauthorizedError:
      description: Unauthorized - No valid API key provided.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Unauthorized
    ForbiddenError:
      description: Forbidden - You don't have enough permissions to access this resource.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Your current plan does not support this feature
    NotFoundError:
      description: Not Found - The requested resource does not exist.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Not Found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````